Package com.xebialabs.xlrelease.serialization.json.xltype

## Class CiListJson2Reader

- java.lang.Object
- - com.xebialabs.xlrelease.serialization.json.xltype.CiListJson2Reader

- All Implemented Interfaces:
    `com.xebialabs.xltype.serialization.CiListReader`

      public class CiListJson2Reader
      extends java.lang.Object
      implements com.xebialabs.xltype.serialization.CiListReader

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiListJson2Reader​(javax.json.JsonArray json)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static com.xebialabs.xltype.serialization.CiListReader` | `create​(java.lang.String jsonArray)` |
    `com.xebialabs.xltype.serialization.CiReader` | `getCurrentCiReader()` |
    `boolean` | `hasMoreChildren()` |
    `void` | `moveIntoChild()` |
    `void` | `moveOutOfChild()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CiListJson2Reader

          public CiListJson2Reader​(javax.json.JsonArray json)

  - ### Method Detail

    - #### create

          public static com.xebialabs.xltype.serialization.CiListReader create​(java.lang.String jsonArray)

    - #### hasMoreChildren

          public boolean hasMoreChildren()

      Specified by:
        `hasMoreChildren` in interface `com.xebialabs.xltype.serialization.CiListReader`

    - #### moveIntoChild

          public void moveIntoChild()

      Specified by:
        `moveIntoChild` in interface `com.xebialabs.xltype.serialization.CiListReader`

    - #### moveOutOfChild

          public void moveOutOfChild()

      Specified by:
        `moveOutOfChild` in interface `com.xebialabs.xltype.serialization.CiListReader`

    - #### getCurrentCiReader

          public com.xebialabs.xltype.serialization.CiReader getCurrentCiReader()

      Specified by:
        `getCurrentCiReader` in interface `com.xebialabs.xltype.serialization.CiListReader`